Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004404TestLinkTest Specificationpublic2011-04-12 15:022011-07-02 13:49
ReporterKarlReichert 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.2 (2011 Q2 - bug fixing) 
Fixed in Version1.9.3 (2011 Q3 - bug fixing) 
Summary0004404: created by USER is not set correct when copying testcases in test specification
DescriptionWhen you copy a testcase, the "created on" information of this testcase is set to the date and time when the copy was done. This is correct.
However, the username of the user, who copied the testcase (and so created the new testcase), is not set correctly. The old user is copied, instead of setting the user to the username that copied the testcase.
Steps To Reproduce1) Login as user "John" and create a testcase (TC-1) at 12/04/2011 2 pm. Notice the information "Created on 12/04/2011 14:00:00 by John", generated by TestLink for this testcase.
2) Login as user "Paul" and copy TC-1 via TestLink at 12/04/2011 3 pm. The newly created TC-2 will have the information "Created on 12/04/2011 15:00:00 by John", generated by TestLink for this testcase.
--> As you see, the date and time is set to the time of the copy action, which is correct. However, it seems that user "John" has copied the testcase, although it was user "Paul".
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
child of 0004337closedfman Availables Fixes for 1.9.2 (Prague) 

-  Notes
(0014594)
fman (administrator)
2011-04-13 21:41

1.9
http://gitorious.org/testlink-ga/testlink-code/commit/a317fb7328c75d7143d707cf6ec47a9eea17fced [^]
(0014596)
fman (administrator)
2011-04-13 21:41

please get fix from repository, retest and let us know
(0014603)
KarlReichert (reporter)
2011-04-14 07:59

Hello fman, thank you for the patch!
When using the new version of testcase.class.php, the bug is gone. So this issue can be closed and the fix can be used in the next TestLink version!
(0014638)
fman (administrator)
2011-04-14 20:01

HEAD
http://gitorious.org/testlink-ga/testlink-code/commit/b518c0de35e8232804eb13eab88b7a1f2f8928fb [^]
(0015464)
fman (administrator)
2011-07-02 13:49

1.9.3 released

- Issue History
Date Modified Username Field Change
2011-04-12 15:02 KarlReichert New Issue
2011-04-13 21:41 fman Note Added: 0014594
2011-04-13 21:41 fman Note Added: 0014596
2011-04-13 21:41 fman Assigned To => fman
2011-04-13 21:41 fman Status new => feedback
2011-04-14 07:59 KarlReichert Note Added: 0014603
2011-04-14 07:59 KarlReichert Status feedback => assigned
2011-04-14 20:01 fman Note Added: 0014638
2011-04-14 20:02 fman Status assigned => resolved
2011-04-14 20:02 fman Fixed in Version => 1.9.3 (2011 Q3 - bug fixing)
2011-04-14 20:02 fman Resolution open => fixed
2011-04-14 20:02 fman Relationship added child of 0004337
2011-07-02 13:49 fman Note Added: 0015464
2011-07-02 13:49 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker